package Welcome;
import Welcome.parts.*;

public class Car
{
  private BMW3_Engine oEngine;

  private BMW3_Tire lfTire;
  private BMW3_Tire lbTire;
  private BMW3_Tire rfTire;
  private BMW3_Tire rbTire;

  public int km;

  public Car(BMW3_Engine Engine,
              BMW3_Tire lf,
              BMW3_Tire lb,
              BMW3_Tire rf,
              BMW3_Tire rb
              )
  {
   oEngine=Engine;
   lfTire=lf;
   lbTire=lb;
   rfTire=rf;
   rbTire=rb;
  }

  public void Drive(int distance)
  {
   oEngine.Drive(distance);

   lfTire.Drive(distance);
   lbTire.Drive(distance);
   rfTire.Drive(distance);
   rbTire.Drive(distance);

   km+=distance;
  };

  public String GetParts()
  {
   String sTemp="Engine(";
   sTemp+=oEngine.GetParts();
   sTemp+=")+Tire(";
   sTemp+=lfTire.GetParts();
   sTemp+=", ";
   sTemp+=lbTire.GetParts();
   sTemp+=", ";
   sTemp+=rfTire.GetParts();
   sTemp+=", ";
   sTemp+=rbTire.GetParts();
   sTemp+=")";
   return sTemp;
  };

  //Tire-Stuff:
  public int TireKM(){return lfTire.km;};
  public int MaxTireKM(){return lfTire.max_km;};
  public void ReplaceTire(){lfTire.km=0;};

  //Engine-Stuff:
  public int EngineKM(){return oEngine.km;};
  public int MaxEngineKM(){return oEngine.max_km;};
  public void ReplaceEngine(){oEngine.km=0;};
}